package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.WxRoom;

import java.util.List;


public interface WxRoomMapper extends BaseMapper<WxRoom>  {
    /**
     * 根据ID查询群聊信息
     */
    WxRoom selectWxRoomById(Long id);

    /**
     * 查询群聊信息列表
     */
    List<WxRoom> selectWxRoomList(WxRoom wxRoom);

    /**
     * 新增群聊信息
     */
    int insertWxRoom(WxRoom wxRoom);

    /**
     * 修改群聊信息
     */
    int updateWxRoom(WxRoom wxRoom);

    /**
     * 删除群聊信息
     */
    int deleteWxRoomById(Long id);

    /**
     * 批量删除群聊信息
     */
    int deleteWxRoomByIds(Long[] ids);
}
